<?xml version="1.0" encoding="utf-8"?>
<!--
$Id: ACK_O23.xml 36566 2013-07-15 09:06:52Z aberge $-->
<!-- Copyright 2011 IHE International (http://www.ihe.net)
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License. 
  You may obtain a copy of the License at 
  http://www.apache.org/licenses/LICENSE-2.0 
  Unless required by applicable law or agreed to in writing, software 
  distributed under the License is distributed on an "AS IS" BASIS, 
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
  See the License for the specific language governing permissions and 
  limitations under the License.
--><?xml-stylesheet type="text/xsl" href="http://gazelle.ihe.net/xsl/mp2htm.xsl"?>
<HL7v2xConformanceProfile HL7Version="2.5.1" ProfileType="Constrainable">
   <MetaData Name="ACK_O23" OrgName="IHE" Version="11.0" Status="DRAFT" Topics="confsig-IHE-2.5.1-profile-accNE_accAL-Deferred"/>
   <ImpNote>ACK - General Acknowledgment</ImpNote>
   <UseCase/>
   <Encodings>
      <Encoding>ER7</Encoding>
   </Encodings>
   <DynamicDef AccAck="NE" AppAck="AL" MsgAckMode="Deferred"/>
   <HL7v2xStaticDef MsgType="ACK" EventType="O23" MsgStructID="ACK" EventDesc="ACK - General Acknowledgment" Role="Sender">
      <MetaData Name="ACK_O23" OrgName="IHE" Version="11.0" Status="DRAFT" Topics="confsig-IHE-2.5.1-static-ACK-023-null-ACK-11.0-DRAFT-Sender"/>
      <Segment Name="MSH" LongName="Message Header" Usage="R" Min="1" Max="1">
         <Reference>2.15.9</Reference>
         <Field Name="Field Separator" Usage="R" Min="1" Max="1" Datatype="ST" Length="1">
            <Reference>2.15.9.1</Reference>
         </Field>
         <Field Name="Encoding Characters" Usage="R" Min="1" Max="1" Datatype="ST" Length="4">
            <Reference>2.15.9.2</Reference>
         </Field>
         <Field Name="Sending Application" Usage="R" Datatype="HD" Length="227" Max="1" Min="1" Table="0361">
            <Component Name="Namespace ID" Usage="R" Datatype="IS" Length="20" Table="0300"/>
            <Component Name="Universal ID" Usage="C" Datatype="ST" Length="199"/>
            <Component Name="Universal ID Type" Usage="C" Datatype="ID" Length="6" Table="0301"/>
         </Field>
         <Field Name="Sending Facility" Usage="R" Datatype="HD" Length="227" Max="1" Min="1" Table="0362">
            <Component Name="Namespace ID" Usage="R" Datatype="IS" Length="20" Table="0300"/>
            <Component Name="Universal ID" Usage="C" Datatype="ST" Length="199"/>
            <Component Name="Universal ID Type" Usage="C" Datatype="ID" Length="6" Table="0301"/>
         </Field>
         <Field Name="Receiving Application" Usage="R" Datatype="HD" Length="227" Max="1" Min="1" Table="0361">
            <Component Name="Namespace ID" Usage="R" Datatype="IS" Length="20" Table="0300"/>
            <Component Name="Universal ID" Usage="C" Datatype="ST" Length="199"/>
            <Component Name="Universal ID Type" Usage="C" Datatype="ID" Length="6" Table="0301"/>
         </Field>
         <Field Name="Receiving Facility" Usage="R" Datatype="HD" Length="227" Max="1" Min="1" Table="0362">
            <Component Name="Namespace ID" Usage="R" Datatype="IS" Length="20" Table="0300"/>
            <Component Name="Universal ID" Usage="C" Datatype="ST" Length="199"/>
            <Component Name="Universal ID Type" Usage="C" Datatype="ID" Length="6" Table="0301"/>
         </Field>
         <Field Name="Date/Time Of Message" Usage="R" Min="1" Max="1" Datatype="TS" Length="26">
            <Reference>2.15.9.7</Reference>
            <Component Name="Time" Usage="R" Datatype="DTM" Length="24"/>
            <Component Name="Degree of Precision" Usage="X" Datatype="ID" Table="0529"/>
         </Field>
         <Field Name="Security" Usage="X" Min="0" Max="*" Datatype="ST" Length="40">
            <Reference>2.15.9.8</Reference>
         </Field>
         <Field Name="Message Type" Usage="R" Min="1" Max="1" Datatype="MSG" Length="15">
            <Reference>2.15.9.9</Reference>
            <Component Name="Message Code" Usage="R" Datatype="ID" Length="3" Table="0076"/>
            <Component Name="Trigger Event" Usage="R" Datatype="ID" Length="3" Table="0003"/>
            <Component Name="Message Structure" Usage="R" Datatype="ID" Length="7" Table="0354"/>
         </Field>
         <Field Name="Message Control ID" Usage="R" Min="1" Max="1" Datatype="ST" Length="20">
            <Reference>2.15.9.10</Reference>
         </Field>
         <Field Name="Processing ID" Usage="R" Min="1" Max="1" Datatype="PT" Length="3">
            <Reference>2.15.9.11</Reference>
            <Component Name="Processing ID" Usage="R" Datatype="ID" Length="1" Table="0103"/>
            <Component Name="Processing Mode" Usage="O" Datatype="ID" Length="1" Table="0207"/>
         </Field>
         <Field Name="Version ID" Usage="R" Min="1" Max="1" Datatype="VID" Length="973">
            <Reference>2.15.9.12</Reference>
            <Component Name="Version ID" Usage="R" Datatype="ID" Length="5" Table="0104"/>
            <Component Name="Internationalization Code" Usage="O" Datatype="CE" Length="483" Table="0399">
               <SubComponent Name="Identifier" Usage="O" Datatype="ST" Length="20"/>
               <SubComponent Name="Text" Usage="O" Datatype="ST" Length="199"/>
               <SubComponent Name="Name of Coding System" Usage="O" Datatype="ID" Length="20" Table="0396"/>
               <SubComponent Name="Alternate Identifier" Usage="O" Datatype="ST" Length="20"/>
               <SubComponent Name="Alternate Text" Usage="O" Datatype="ST" Length="199"/>
               <SubComponent Name="Name of Alternate Coding System" Usage="O" Datatype="ID" Length="20" Table="0396"/>
            </Component>
            <Component Name="International Version ID" Usage="O" Datatype="CE" Length="483">
               <SubComponent Name="Identifier" Usage="O" Datatype="ST" Length="20"/>
               <SubComponent Name="Text" Usage="O" Datatype="ST" Length="199"/>
               <SubComponent Name="Name of Coding System" Usage="O" Datatype="ID" Length="20" Table="0396"/>
               <SubComponent Name="Alternate Identifier" Usage="O" Datatype="ST" Length="20"/>
               <SubComponent Name="Alternate Text" Usage="O" Datatype="ST" Length="199"/>
               <SubComponent Name="Name of Alternate Coding System" Usage="O" Datatype="ID" Length="20" Table="0396"/>
            </Component>
         </Field>
         <Field Name="Sequence Number" Usage="O" Min="0" Max="1" Datatype="NM" Length="15">
            <Reference>2.15.9.13</Reference>
         </Field>
         <Field Name="Continuation Pointer" Usage="X" Min="0" Max="*" Datatype="ST" Length="180">
            <Reference>2.15.9.14</Reference>
         </Field>
         <Field Name="Accept Acknowledgment Type" Usage="O" Min="0" Max="1" Datatype="ID" Length="2" Table="0155">
            <Reference>2.15.9.15</Reference>
         </Field>
         <Field Name="Application Acknowledgment Type" Usage="O" Min="0" Max="1" Datatype="ID" Length="2" Table="0155">
            <Reference>2.15.9.16</Reference>
         </Field>
         <Field Name="Country Code" Usage="R" Min="1" Max="1" Datatype="ID" Length="3" ConstantValue="SAU">
            <Reference>2.15.9.17</Reference>
         </Field>
         <Field Name="Character Set" Usage="R" Min="1" Max="1" Datatype="ID" Length="16" ConstantValue="UNICODE UTF-8">
            <Reference>2.15.9.18</Reference>
         </Field>
         <Field Name="Principal Language Of Message" Usage="RE" Min="0" Max="1" Datatype="CE" Length="483">
            <Reference>2.15.9.19</Reference>
            <Component Name="Identifier" Usage="O" Datatype="ST" Length="20"/>
            <Component Name="Text" Usage="O" Datatype="ST" Length="199"/>
            <Component Name="Name of Coding System" Usage="O" Datatype="ID" Length="20" Table="0396"/>
            <Component Name="Alternate Identifier" Usage="O" Datatype="ST" Length="20"/>
            <Component Name="Alternate Text" Usage="O" Datatype="ST" Length="199"/>
            <Component Name="Name of Alternate Coding System" Usage="O" Datatype="ID" Length="20" Table="0396"/>
         </Field>
         <Field Name="Alternate Character Set Handling Scheme" Usage="X" Min="0" Max="*" Datatype="ID" Length="20" Table="0356">
            <Reference>2.15.9.20</Reference>
         </Field>
         <Field Name="Message Profile Identifier" Usage="RE" Min="0" Max="*" Datatype="EI" Length="427">
            <Reference>2.15.9.21</Reference>
            <Component Name="Entity Identifier" Usage="O" Datatype="ST" Length="199"/>
            <Component Name="Namespace ID" Usage="O" Datatype="IS" Length="20" Table="0363"/>
            <Component Name="Universal ID" Usage="C" Datatype="ST" Length="199"/>
            <Component Name="Universal ID Type" Usage="C" Datatype="ID" Length="6" Table="0301"/>
         </Field>
      </Segment>
      <Segment Name="SFT" LongName="Software Segment" Usage="O" Min="0" Max="*">
         <Reference>2.15.12</Reference>
         <Field Name="Software Vendor Organization" Usage="R" Min="1" Max="1" Datatype="XON" Length="567">
            <Reference>2.15.12.1</Reference>
            <Component Name="Organization Name" Usage="O" Datatype="ST" Length="50"/>
            <Component Name="Organization Name Type Code" Usage="O" Datatype="IS" Length="20" Table="0204"/>
            <Component Name="ID Number" Datatype="NM" Usage="X"/>
            <Component Name="Check Digit" Usage="O" Datatype="NM" Length="1"/>
            <Component Name="Check Digit Scheme" Usage="O" Datatype="ID" Length="3" Table="0061"/>
            <Component Name="Assigning Authority" Usage="O" Datatype="HD" Length="227">
               <SubComponent Name="Namespace ID" Usage="R" Datatype="IS" Length="20" Table="0300"/>
               <SubComponent Name="Universal ID" Usage="C" Datatype="ST" Length="199"/>
               <SubComponent Name="Universal ID Type" Usage="C" Datatype="ID" Length="6" Table="0301"/>
            </Component>
            <Component Name="Identifier Type Code" Usage="O" Datatype="ID" Length="5" Table="0203"/>
            <Component Name="Assigning Facility" Usage="O" Datatype="HD" Length="227">
               <SubComponent Name="Namespace ID" Usage="R" Datatype="IS" Length="20" Table="0300"/>
               <SubComponent Name="Universal ID" Usage="C" Datatype="ST" Length="199"/>
               <SubComponent Name="Universal ID Type" Usage="C" Datatype="ID" Length="6" Table="0301"/>
            </Component>
            <Component Name="Name Representation Code" Usage="O" Datatype="ID" Length="1" Table="0465"/>
            <Component Name="Organization Identifier" Usage="O" Datatype="ST" Length="20"/>
         </Field>
         <Field Name="Software Certified Version or Release Number" Usage="R" Min="1" Max="1" Datatype="ST" Length="15">
            <Reference>2.15.12.2</Reference>
         </Field>
         <Field Name="Software Product Name" Usage="R" Min="1" Max="1" Datatype="ST" Length="20">
            <Reference>2.15.12.3</Reference>
         </Field>
         <Field Name="Software Binary ID" Usage="R" Min="1" Max="1" Datatype="ST" Length="20">
            <Reference>2.15.12.4</Reference>
         </Field>
         <Field Name="Software Product Information" Usage="O" Min="0" Max="1" Datatype="TX" Length="1024">
            <Reference>2.15.12.5</Reference>
         </Field>
         <Field Name="Software Install Date" Usage="O" Min="0" Max="1" Datatype="TS" Length="26">
            <Reference>2.15.12.6</Reference>
            <Component Name="Time" Usage="R" Datatype="DTM" Length="24"/>
            <Component Name="Degree of Precision" Datatype="ID" Table="0529" Usage="X"/>
         </Field>
      </Segment>
      <Segment Name="MSA" LongName="Message Acknowledgment" Usage="R" Min="1" Max="1">
         <Reference>2.15.8</Reference>
         <Field Name="Acknowledgment Code" Usage="R" Min="1" Max="1" Datatype="ID" Length="2" Table="0008">
            <Reference>2.15.8.1</Reference>
         </Field>
         <Field Name="Message Control ID" Usage="R" Min="1" Max="1" Datatype="ST" Length="20">
            <Reference>2.15.8.2</Reference>
         </Field>
         <Field Name="Text Message" Usage="X" Min="0" Max="*" Datatype="ST" Length="80">
            <Reference>2.15.8.3</Reference>
         </Field>
         <Field Name="Expected Sequence Number" Usage="O" Min="0" Max="1" Datatype="NM" Length="15">
            <Reference>2.15.8.4</Reference>
         </Field>
         <Field Name="Delayed Acknowledgment Type" Usage="X" Min="0" Max="*" Datatype="-">
            <Reference>2.15.8.5</Reference>
         </Field>
         <Field Name="Error Condition" Usage="X" Min="0" Max="*" Datatype="CE" Length="483" Table="0357">
            <Reference>2.15.8.6</Reference>
            <Component Name="Identifier" Usage="O" Datatype="ST" Length="20"/>
            <Component Name="Text" Usage="O" Datatype="ST" Length="199"/>
            <Component Name="Name of Coding System" Usage="O" Datatype="ID" Length="20" Table="0396"/>
            <Component Name="Alternate Identifier" Usage="O" Datatype="ST" Length="20"/>
            <Component Name="Alternate Text" Usage="O" Datatype="ST" Length="199"/>
            <Component Name="Name of Alternate Coding System" Usage="O" Datatype="ID" Length="20" Table="0396"/>
         </Field>
      </Segment>
      <Segment Name="ERR" LongName="Error" Usage="C" Min="0" Max="*">
         <Reference>2.15.5</Reference>
         <Field Name="Error Code and Location" Usage="X" Min="0" Max="*" Datatype="ELD" Length="493">
            <Reference>2.15.5.1</Reference>
            <Component Name="Segment ID" Usage="O" Datatype="ST" Length="3"/>
            <Component Name="Segment Sequence" Usage="O" Datatype="NM" Length="2"/>
            <Component Name="Field Position" Usage="O" Datatype="NM" Length="2"/>
            <Component Name="Code Identifying Error" Usage="O" Datatype="CE" Length="483" Table="0357">
               <SubComponent Name="Identifier" Usage="O" Datatype="ST" Length="20"/>
               <SubComponent Name="Text" Usage="O" Datatype="ST" Length="199"/>
               <SubComponent Name="Name of Coding System" Usage="O" Datatype="ID" Length="20" Table="0396"/>
               <SubComponent Name="Alternate Identifier" Usage="O" Datatype="ST" Length="20"/>
               <SubComponent Name="Alternate Text" Usage="O" Datatype="ST" Length="199"/>
               <SubComponent Name="Name of Alternate Coding System" Usage="O" Datatype="ID" Length="20" Table="0396"/>
            </Component>
         </Field>
         <Field Name="Error Location" Usage="RE" Min="0" Max="*" Datatype="ERL" Length="18">
            <Reference>2.15.5.2</Reference>
            <Component Name="Segment ID" Usage="R" Datatype="ST" Length="3"/>
            <Component Name="Segment Sequence" Usage="R" Datatype="NM" Length="2"/>
            <Component Name="Field Position" Usage="O" Datatype="NM" Length="2"/>
            <Component Name="Field Repetition" Usage="O" Datatype="NM" Length="2"/>
            <Component Name="Component Number" Usage="O" Datatype="NM" Length="2"/>
            <Component Name="Sub-Component Number" Usage="O" Datatype="NM" Length="2"/>
         </Field>
         <Field Name="HL7 Error Code" Usage="R" Min="1" Max="1" Datatype="CWE" Length="705">
            <Reference>2.15.5.3</Reference>
            <Component Name="Identifier" Usage="O" Datatype="ST" Length="20" ConstantValue="207"/>
            <Component Name="Text" Usage="O" Datatype="ST" Length="199"/>
            <Component Name="Name of Coding System" Usage="O" Datatype="ID" Length="20" Table="0396"/>
            <Component Name="Alternate Identifier" Usage="O" Datatype="ST" Length="20"/>
            <Component Name="Alternate Text" Usage="O" Datatype="ST" Length="199"/>
            <Component Name="Name of Alternate Coding System" Usage="O" Datatype="ID" Length="20" Table="0396"/>
            <Component Name="Coding System Version ID" Usage="C" Datatype="ST" Length="10"/>
            <Component Name="Alternate Coding System Version ID" Usage="O" Datatype="ST" Length="10"/>
            <Component Name="Original Text" Usage="O" Datatype="ST" Length="199"/>
         </Field>
         <Field Name="Severity" Usage="R" Min="1" Max="1" Datatype="ID" Length="2" Table="0516">
            <Reference>2.15.5.4</Reference>
         </Field>
         <Field Name="Application Error Code" Usage="R" Min="1" Max="1" Datatype="CWE" Length="705">
            <Reference>2.15.5.5</Reference>
            <Component Name="Identifier" Usage="O" Datatype="ST" Length="20" ConstantValue="KSAContentValidation"/>
            <Component Name="Text" Usage="O" Datatype="ST" Length="199"/>
            <Component Name="Name of Coding System" Usage="O" Datatype="ID" Length="20" Table="0396"/>
            <Component Name="Alternate Identifier" Usage="O" Datatype="ST" Length="20"/>
            <Component Name="Alternate Text" Usage="O" Datatype="ST" Length="199"/>
            <Component Name="Name of Alternate Coding System" Usage="O" Datatype="ID" Length="20" Table="0396"/>
            <Component Name="Coding System Version ID" Usage="C" Datatype="ST" Length="10"/>
            <Component Name="Alternate Coding System Version ID" Usage="O" Datatype="ST" Length="10"/>
            <Component Name="Original Text" Usage="O" Datatype="ST" Length="199"/>
         </Field>
         <Field Name="Application Error Parameter" Usage="O" Min="0" Max="10" Datatype="ST" Length="80">
            <Reference>2.15.5.6</Reference>
         </Field>
         <Field Name="Diagnostic Information" Usage="R" Min="1" Max="1" Datatype="TX" Length="2048">
            <Reference>2.15.5.7</Reference>
         </Field>
         <Field Name="User Message" Usage="O" Min="0" Max="1" Datatype="TX" Length="250">
            <Reference>2.15.5.8</Reference>
         </Field>
         <Field Name="Inform Person Indicator" Usage="O" Min="0" Max="*" Datatype="IS" Length="20" Table="0517">
            <Reference>2.15.5.9</Reference>
         </Field>
         <Field Name="Override Type" Usage="O" Min="0" Max="1" Datatype="CWE" Length="705" Table="0518">
            <Reference>2.15.5.10</Reference>
            <Component Name="Identifier" Usage="O" Datatype="ST" Length="20"/>
            <Component Name="Text" Usage="O" Datatype="ST" Length="199"/>
            <Component Name="Name of Coding System" Usage="O" Datatype="ID" Length="20" Table="0396"/>
            <Component Name="Alternate Identifier" Usage="O" Datatype="ST" Length="20"/>
            <Component Name="Alternate Text" Usage="O" Datatype="ST" Length="199"/>
            <Component Name="Name of Alternate Coding System" Usage="O" Datatype="ID" Length="20" Table="0396"/>
            <Component Name="Coding System Version ID" Usage="C" Datatype="ST" Length="10"/>
            <Component Name="Alternate Coding System Version ID" Usage="O" Datatype="ST" Length="10"/>
            <Component Name="Original Text" Usage="O" Datatype="ST" Length="199"/>
         </Field>
         <Field Name="Override Reason Code" Usage="O" Min="0" Max="*" Datatype="CWE" Length="705" Table="0519">
            <Reference>2.15.5.11</Reference>
            <Component Name="Identifier" Usage="O" Datatype="ST" Length="20"/>
            <Component Name="Text" Usage="O" Datatype="ST" Length="199"/>
            <Component Name="Name of Coding System" Usage="O" Datatype="ID" Length="20" Table="0396"/>
            <Component Name="Alternate Identifier" Usage="O" Datatype="ST" Length="20"/>
            <Component Name="Alternate Text" Usage="O" Datatype="ST" Length="199"/>
            <Component Name="Name of Alternate Coding System" Usage="O" Datatype="ID" Length="20" Table="0396"/>
            <Component Name="Coding System Version ID" Usage="C" Datatype="ST" Length="10"/>
            <Component Name="Alternate Coding System Version ID" Usage="O" Datatype="ST" Length="10"/>
            <Component Name="Original Text" Usage="O" Datatype="ST" Length="199"/>
         </Field>
         <Field Name="Help Desk Contact Point" Usage="O" Min="0" Max="*" Datatype="XTN" Length="652">
            <Reference>2.15.5.12</Reference>
            <Component Name="Telephone Number" Datatype="ST" Usage="X"/>
            <Component Name="Telecommunication Use Code" Usage="O" Datatype="ID" Length="3" Table="0201"/>
            <Component Name="Telecommunication Equipment Type" Usage="O" Datatype="ID" Length="8" Table="0202"/>
            <Component Name="Email Address" Usage="O" Datatype="ST" Length="199"/>
            <Component Name="Country Code" Usage="O" Datatype="NM" Length="3"/>
            <Component Name="Area/City Code" Usage="O" Datatype="NM" Length="5"/>
            <Component Name="Local Number" Usage="O" Datatype="NM" Length="9"/>
            <Component Name="Extension" Usage="O" Datatype="NM" Length="5"/>
            <Component Name="Any Text" Usage="O" Datatype="ST" Length="199"/>
            <Component Name="Extension Prefix" Usage="O" Datatype="ST" Length="4"/>
            <Component Name="Speed Dial Code" Usage="O" Datatype="ST" Length="6"/>
            <Component Name="Unformatted Telephone number" Usage="C" Datatype="ST" Length="199"/>
         </Field>
      </Segment>
   </HL7v2xStaticDef>
</HL7v2xConformanceProfile>